Page MenuHome

Make the "Proxy/Timecode" checkbox on individual VSE video strips have an effect on whether the proxy is used or not.
ClosedPublic

Authored by Olly Funkster (Funkster) on Feb 8 2017, 11:02 AM.

Details

Summary

Make the "Proxy/Timecode" checkbox on individual VSE video strips have an effect on whether the proxy is used or not. Fixes T50618.

N.B. I don't know how to make it redraw the current image in the preview panel, or if this is even possible.

Diff Detail

Repository
rB Blender

Event Timeline

Olly Funkster (Funkster) retitled this revision from to Make the "Proxy/Timecode" checkbox on individual VSE video strips have an effect on whether the proxy is used or not..
Olly Funkster (Funkster) updated this object.
Olly Funkster (Funkster) set the repository for this revision to rB Blender.

Tested. seems to work for me.
Anyone else wants to pitch in?

I tested the patch, and it really works and it's well commented :)
But in my opinion, more work is needed in this area.
This seems to be more of a UI issue. For example:

  • Do we really need that Proxy/Timecode checkbox? (We already have the No proxy full render option)

I also think that the UI needs to indicate which proxies are cached. And it would also be nice to have the option of deleting specific caches.

I like to see work in this area ;) but I think this patch does not solve the source of the problem :\

edit: (Also making a redraw would be a nice addition to the patch)

  • Do we really need that Proxy/Timecode checkbox? (We already have the No proxy full render option)

Well... the No proxy, full render setting is for the whole preview rather than per strip. I can imagine having a project where you would intentionally not generate proxies for everything (for example, a long video clip that's not used much, where the proxy would use a lot of disk space). The preview will still use a lower resolution for those clips so there is still a small performance increase.

I do definitely agree that it would be nice to have some visual as to what proxies are currently cached / being used for preview - so you can see if you are missing out on a performance increase when changing preview settings. Maybe some icons / colour coding in the preview panels, or a warning icon on strips that do not have the current proxy size available?

This is a good topic for discussion.
Maybe if we make a task, or put the ideas in a forum (rightclickselect, blenderartists) to see users' opinions. Then we can find out the best solution.

Of course, but that would be a feature request so we cannot create a task on here. Perhaps on rightclickselect.com ? I could make a thread on there but won't have time to do it soon.

I would like to use this patch. Can not update, so uploaded new version.
Removed comments, functionality is clear enough, task will be referenced in commit message.

Richard Antalik (ISS) requested changes to this revision.Feb 22 2019, 9:43 PM
This revision now requires changes to proceed.Feb 22 2019, 9:43 PM

Updated patch to the one supplied by @Richard Antalik (ISS)

This revision is now accepted and ready to land.Feb 25 2019, 11:32 AM
Brecht Van Lommel (brecht) requested changes to this revision.May 29 2019, 1:28 PM

I think this is missing similar logic in seq_render_movieclip_strip()? I think it would be good to pass a seq parameter to seq_rendersize_to_proxysize, to share the logic for all cases.

This revision now requires changes to proceed.May 29 2019, 1:28 PM

I think this is missing similar logic in seq_render_movieclip_strip()? I think it would be good to pass a seq parameter to seq_rendersize_to_proxysize, to share the logic for all cases.

You can not set seq->flag |= SEQ_USE_PROXY to movieclip strip.
Movieclip proxy is used when movieclip itself has enabled usage of proxies. So cache invalidation should be done also in movieclip RNA.

Ok, I guess this is correct then. Still think it would be a little better to deduplicate logic here.

This revision is now accepted and ready to land.Jun 1 2019, 12:02 AM

Ok, I guess this is correct then. Still think it would be a little better to deduplicate logic here.

Sergey wasn't happy with movieclip using proxies, unless user explicitly enabled them (D4219: Fix T54117 Movie clip undistorted - proxy not working).
I think, this is ok. Certainly better than mixing VSE and movieclip proxy management.

This revision was automatically updated to reflect the committed changes.